/***************************************************************************
                          main.cpp  -  description                              
                             -------------------                                         

    This file is a part of kpl - a program for graphical presentation of
    data sets and functions.

    begin                : Sat Apr 24 15:14:00 MEST 1999
                                           
    copyright            : (C) 2000 by Werner Stille                         
    email                : stille@uni-freiburg.de                                     
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   * 
 *                                                                         *
 ***************************************************************************/

#include <kapp.h>
#include "kpl.h"

int main(int argc, char* argv[]) { 
  KApplication app(argc, argv, "kpl");
 
  if (app.isRestored())
    RESTORE(KplApp)
  else {
    KplApp* kpl;
    for (int i = 1; i < QMAX(argc, 2); i++) {
      kpl = new KplApp;
      if (i < argc) {
        if (kpl->openDocumentFile(argv[i]))
          kpl->show();
        else
          delete kpl;
      } else
        kpl->show();
    }
  }
  return app.exec();
}
